> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/api/runes/etch-rune/validate-rune-name.md).

# Validate Rune Name

You can use this endpoint to&#x20;

* check if a Rune name is valid given current block height
* check whether it already exists
* estimateswhen shorter names will become available.

## GET /v1/runes-managed/etch/validate-name

> Validate if a rune name is available for etching. When not valid it can include below reasons:\
> \* \`minLength\` - rune does not match minimum length for current blockheight\
> \* \`alreadyExists\` - rune name already exists\
> \* \`format\` - rune name format is invalid\
> \* \`outOfRange\` - rune name is out of range of acceptable names

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/runes-managed/etch/validate-name":{"get":{"tags":["Runes etch"],"description":"Validate if a rune name is available for etching. When not valid it can include below reasons:\n* `minLength` - rune does not match minimum length for current blockheight\n* `alreadyExists` - rune name already exists\n* `format` - rune name format is invalid\n* `outOfRange` - rune name is out of range of acceptable names","parameters":[{"schema":{"minLength":1,"type":"string"},"in":"query","name":"runeName","required":true,"description":"The rune name to validate"}],"responses":{"200":{"description":"Validation result for a rune name","content":{"application/json":{"schema":{"description":"Validation result for a rune name","type":"object","properties":{"isValid":{"type":"boolean"},"reason":{"type":"string"},"currentHeight":{"type":"number"},"availableHeight":{"type":"number"},"runeId":{"type":"string"}},"required":["isValid","currentHeight"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xverse.app/api/runes/etch-rune/validate-rune-name.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
